import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as t}from'./../../external/@lit/reactive-element/css-tag.js';var r=t`*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --kd-current-breakpoint: sm;
}
@media (min-width: 42rem) {
  :root {
    --kd-current-breakpoint: md;
  }
}
@media (min-width: 74rem) {
  :root {
    --kd-current-breakpoint: lg;
  }
}
@media (min-width: 82rem) {
  :root {
    --kd-current-breakpoint: xl;
  }
}
@media (min-width: 99rem) {
  :root {
    --kd-current-breakpoint: max;
  }
}

:host {
  display: inline-block;
}

/* ----------------- Split btn -------------------- */
.split-btn-wrapper {
  width: 100%;
  display: inline-flex;
  position: relative;
  gap: 2px;
}

.kd-split-btn, .kd-split-btn--secondary-destructive, .kd-split-btn--secondary, .kd-split-btn--primary-app-destructive,
.kd-split-btn--primary-web-destructive, .kd-split-btn--primary-web,
.kd-split-btn--primary-app {
  transition: outline-color 0.2s ease-in-out, color 0.2s ease-in-out, background-color 0.2s ease-in-out;
  white-space: nowrap;
  outline: 2px solid transparent;
  outline-offset: 2px;
  text-decoration: none;
  cursor: pointer;
  width: 100%;
  min-width: 96px;
  max-width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: var(--kd-font-family-secondary);
  font-size: var(--kd-font-size-body-2-sm);
  line-height: var(--kd-line-height-body-2-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-4);
}
@media (min-width: 42rem) {
  .kd-split-btn, .kd-split-btn--secondary-destructive, .kd-split-btn--secondary, .kd-split-btn--primary-app-destructive,
  .kd-split-btn--primary-web-destructive, .kd-split-btn--primary-web,
  .kd-split-btn--primary-app {
    font-size: var(--kd-font-size-body-2-md);
    line-height: var(--kd-line-height-body-2-md);
  }
}
@media (min-width: 74rem) {
  .kd-split-btn, .kd-split-btn--secondary-destructive, .kd-split-btn--secondary, .kd-split-btn--primary-app-destructive,
  .kd-split-btn--primary-web-destructive, .kd-split-btn--primary-web,
  .kd-split-btn--primary-app {
    font-size: var(--kd-font-size-body-2-lg);
    line-height: var(--kd-line-height-body-2-lg);
  }
}
@media (min-width: 82rem) {
  .kd-split-btn, .kd-split-btn--secondary-destructive, .kd-split-btn--secondary, .kd-split-btn--primary-app-destructive,
  .kd-split-btn--primary-web-destructive, .kd-split-btn--primary-web,
  .kd-split-btn--primary-app {
    font-size: var(--kd-font-size-body-2-xlg);
    line-height: var(--kd-line-height-body-2-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-split-btn, .kd-split-btn--secondary-destructive, .kd-split-btn--secondary, .kd-split-btn--primary-app-destructive,
  .kd-split-btn--primary-web-destructive, .kd-split-btn--primary-web,
  .kd-split-btn--primary-app {
    font-size: var(--kd-font-size-body-2-max);
    line-height: var(--kd-line-height-body-2-max);
  }
}
.kd-split-btn-label {
  border-radius: 4px 0px 0px 4px;
}
.kd-split-btn-icon {
  border-radius: 0px 4px 4px 0px;
}
.kd-split-btn-margin-overlapped {
  margin-left: -3px;
}
.kd-split-btn--small {
  padding: 4px 16px;
  height: 32px;
}
.kd-split-btn--small-arrow-btn {
  min-width: 32px;
  width: 32px;
}
.kd-split-btn--medium {
  padding: 12px 16px;
  height: 48px;
}
.kd-split-btn--medium-arrow-btn {
  min-width: 48px;
  width: 48px;
}
.kd-split-btn--large {
  padding: 16px 16px;
  height: 56px;
}
.kd-split-btn--large-arrow-btn {
  min-width: 56px;
  width: 56px;
}

span {
  display: flex;
  align-items: center;
  z-index: 1;
}

.kd-split-btn--primary-web,
.kd-split-btn--primary-app {
  background-color: var(--kd-color-background-button-primary-state-default);
  color: var(--kd-color-text-button-dark-primary);
  border: none;
  position: relative;
  overflow: hidden;
}
.kd-split-btn--primary-web:before,
.kd-split-btn--primary-app:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--kd-color-background-button-primary-state-hover);
  transition: transform 300ms ease-out, opacity 200ms ease-out, background-color 150ms ease-in-out;
  transform: scaleX(0);
  transform-origin: left;
  opacity: 0;
}
.kd-split-btn--primary-web:hover:before,
.kd-split-btn--primary-app:hover:before {
  transform: scaleX(1);
  opacity: 1;
}
.kd-split-btn--primary-web:active,
.kd-split-btn--primary-app:active {
  border: none;
}
.kd-split-btn--primary-web:active:before,
.kd-split-btn--primary-app:active:before {
  background-color: var(--kd-color-background-button-primary-state-pressed);
}
.kd-split-btn--primary-web:focus,
.kd-split-btn--primary-app:focus {
  outline-color: var(--kd-color-background-button-primary-state-focused);
}
.kd-split-btn--primary-web:disabled,
.kd-split-btn--primary-app:disabled {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--kd-color-background-ui-default-disabled);
}

.kd-split-btn--primary-web {
  background-color: var(--kd-color-background-button-web-default);
}
.kd-split-btn--primary-web:before {
  background-color: var(--kd-color-background-button-web-hover);
}
.kd-split-btn--primary-web:active:before {
  background-color: var(--kd-color-background-button-web-pressed);
}
.kd-split-btn--primary-web:focus {
  outline-color: var(--kd-color-border-variants-focus);
}

.kd-split-btn--primary-app-destructive,
.kd-split-btn--primary-web-destructive {
  background-color: var(--kd-color-background-button-primary-destructive-default);
  color: var(--kd-color-text-button-dark-destructive);
  border: none;
  position: relative;
  overflow: hidden;
}
.kd-split-btn--primary-app-destructive:before,
.kd-split-btn--primary-web-destructive:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--kd-color-background-button-primary-destructive-hover);
  transition: transform 300ms ease-out, opacity 200ms ease-out, background-color 150ms ease-in-out;
  transform: scaleX(0);
  transform-origin: left;
  opacity: 0;
}
.kd-split-btn--primary-app-destructive:hover:before,
.kd-split-btn--primary-web-destructive:hover:before {
  transform: scaleX(1);
  opacity: 1;
}
.kd-split-btn--primary-app-destructive:active:before,
.kd-split-btn--primary-web-destructive:active:before {
  background-color: var(--kd-color-background-button-primary-destructive-pressed);
}
.kd-split-btn--primary-app-destructive:focus,
.kd-split-btn--primary-web-destructive:focus {
  outline-color: var(--kd-color-background-button-primary-destructive-focused);
}
.kd-split-btn--primary-app-destructive:disabled,
.kd-split-btn--primary-web-destructive:disabled {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  cursor: not-allowed;
  pointer-events: none;
  background-color: var(--kd-color-background-ui-default-disabled);
}

.kd-split-btn--secondary {
  background-color: transparent;
  color: var(--kd-color-text-button-light-secondary);
  border: 1px solid var(--kd-color-border-button-secondary-state-default);
}
.kd-split-btn--secondary-icon {
  border-width: 1px 1px 1px 0.5px;
}
.kd-split-btn--secondary-label {
  border-width: 1px 0.5px 1px 1px;
}
.kd-split-btn--secondary:hover {
  border-color: var(--kd-color-border-button-secondary-state-hover);
}
.kd-split-btn--secondary:active {
  border-color: var(--kd-color-border-button-secondary-state-pressed);
}
.kd-split-btn--secondary:focus {
  border-width: 2px;
  border-color: var(--kd-color-border-button-secondary-state-focused);
}
.kd-split-btn--secondary:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
}

.kd-split-btn--secondary-destructive {
  background-color: transparent;
  color: var(--kd-color-text-button-light-destructive);
  border: 1px solid var(--kd-color-border-button-secondary-destructive-default);
}
.kd-split-btn--secondary-destructive:hover {
  border-color: var(--kd-color-border-button-secondary-destructive-hover);
}
.kd-split-btn--secondary-destructive:active {
  border-color: var(--kd-color-border-button-secondary-destructive-pressed);
}
.kd-split-btn--secondary-destructive:focus {
  border-color: var(--kd-color-border-button-secondary-destructive-focused);
  outline-color: var(--kd-color-border-button-primary-destructive-default);
}
.kd-split-btn--secondary-destructive:disabled {
  background-color: transparent;
  color: var(--kd-color-text-link-level-disabled);
  border: 1px solid var(--kd-color-border-ui-disabled);
  cursor: not-allowed;
  pointer-events: none;
  color: var(--kd-color-text-button-dark-destructive);
}

.kd-split-btn--icon-left span {
  flex-direction: row-reverse;
}
.kd-split-btn--icon-left span slot[name=icon]::slotted(*) {
  margin-right: 8px;
}
.kd-split-btn--icon-right slot[name=icon]::slotted(*) {
  margin-left: 8px;
}

.options {
  display: flex;
  flex-direction: column;
  list-style: none;
  margin: 0;
  padding: 0;
  position: absolute;
  top: 100%;
  margin-top: 4px;
  width: 100%;
  max-height: 280px;
  overflow-y: auto;
  outline: none;
  background: var(--kd-color-background-container-default);
  box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.12), 0px 4px 12px 0px rgba(0, 0, 0, 0.08);
  outline: 2px solid transparent;
  transition: transform 150ms ease-out, opacity 150ms ease-out, outline-color 150ms ease-out, visibility 150ms ease-out;
  visibility: hidden;
  transform: scaleY(0);
  transform-origin: top;
  opacity: 0;
  z-index: -1;
}
.options.upwards {
  transform-origin: bottom;
  top: auto;
  bottom: 100%;
}
.options.open {
  visibility: visible;
  transform: scaleY(1);
  opacity: 1;
  z-index: 11;
}

.arrow-icon {
  transform: rotate(0deg);
}
.open .arrow-icon {
  transform: rotate(180deg);
}`;export{r as default};
//# sourceMappingURL=splitButton.scss.js.map
